<?php
  /***
  *  Copyright (C) 2007  Gisler Garcs Vargas
  *  GNU Lesser General Public
  *
  *  @package  database  
  *  @author    Gisler Garcs Vargas  <gislersoft@users.sourceforge.net>
  *  @abstract
  *  @access  public
  *  @version  1.0.0 - 17/08/2006 <br>
  *  This class implements de DAOFactory especifications, provides a mysql conection driver.
  */
  class MysqlFactory extends DAOFactory{
    /***
    *  Constructor that initialize the db params, pased by the constructor arguments.
    *  Note: For Mysql the parameter $port is not used.
    *  @param  string  $host  Ip or hostname of the database server.
    *  @param  string  $dbname  Database name, schema or database ID.
    *  @param  string  $user  User name for database connection.
    *  @param  string  $password  Password for database connection.
    *  @param  string  $port  (Optional) Only if the implementation class need it.
    *  @abstract
    *  @access  public
    */      
    function init($host,$dbname,$user,$password,$port){
      $this->host=$host;
      $this->user=$user;
      $this->password=$password;
      $this->dbname=$dbname;
      //port is not used

      $this->conn = mysql_connect($this->host,$this->user,$this->password);
      /* check connection */
      if (mysql_errno()) {
        /*Connection Fails*/
        $exception = new Exception(1);
        $exception->traceLog();
        exit;
      }else{
                if(!mysql_select_db($this->dbname,$this->conn)){
          /*Connection Fails*/
          $exception = new Exception(1);
          $exception->traceLog();
          exit;
        }
      }
    }
    /***
    *  Returns an array, used only for select's sql statements.
    *  @param  string  query SQL statement.
    *  @return  array
    *  @abstract
    *  @access  public
    */       
        function query($query){
      $res = mysql_query($query,$this->conn);
      $this->resultado = $res;
      if($res){
        /* associative array */
        $R = array();
        while($data = mysql_fetch_array($res,MYSQL_ASSOC)) {
          $R[] = $data;
        }        
        return $R;
      }else{
        /*Query Fails*/
        $exception = new Exception(0,$query);
        $exception->traceLog();
        exit;      
      }
        }
    /***
    *  Executes an especific sql statements ( insert, delete , updates or procedures). return 0 when sql statement fails.
    *  @param  string  query
    *  @return  int
    *  @access public
    */     
        function execute($query){
      $res = mysql_query($query,$this->conn);
      if (!$res){
        /*Query Fails*/
        $myError = "[MYSQL-".mysql_errno($this->conn)."] ".mysql_error($this->conn);
        $exception = new Exception(0,$query."(".$myError.")");
        $exception->traceLog();
        return false;
      }else{
        return true;
      }
      }
    /***
    *  Close the actual connection to the database.
    *  @abstract
    *  @access  public
    */
    function close(){
      mysql_close($this->conn);
    }
    /***
    *  get an array with the names of the fields of a table.
    *  @abstract
    *  @return array
    *  @param  string  table
    *  @access  public
    */
    function getFieldsNames($pTable){
      $myQuery = $this->query("SHOW COLUMNS FROM ".$pTable);
      $myArray = array();
      $i=0;
      foreach ($myQuery as $reg){
           $myArray[$i]=$reg['Field'];
           $i++;
      }
      return $myArray;
    }
    
    }
?>
