<?php
   /***
   *  Copyright (C) 2007  Gisler Garcs Vargas
   *  GNU Lesser General Public
   *
   *   @package   exception      
   *   @author    Gisler Garcs Vargas   <gislersoft@users.sourceforge.net>
   *   @abstract
   *   @access    public
   *   @version   1.0.0 - 16/08/2006 <br>
   *   Semi-abstract class to provide a specification for an exception handler, with some implementations.  <i>Note: the atribute exceptions must be an array.</i>
   */
   class ExceptionFactory{
      /***
      * Store all the message exceptions with in the specific language.
      * @var array $exceptions
      */
      var $exceptions;
      /***
      * Store the translation of the word Exception in the specific language.
      * @var String $excEnc
      */
      var $excEnc;
      /***
      *   Description: Public method that returns an exception message in a specific language.
      *   param String exceptionNumber
      *   param String param1   (optional)
      *   @return string
      */
      function getException(){         
         $args=func_get_args();

         if(isset($args[0]) && is_int($args[0])){
            if(isset($args[1]) && is_string($args[1])){
               $exc = str_replace("&1", $args[1], $this->exceptions[$args[0]]);
               return $exc;
            }else{
               return $this->exceptions[$args[0]];
            }
         }else{
            return $this->getGenericException();
         }
      }
      /***
      *   Description: Public method returns a generic exception message in a specific language.
      *   @returns string
      */
      function getGenericException(){
         return $this->genericText;
      }
   }
?>
