<?php
  /**
  * http://php-generics.sourceforge.net/
  *
  * Copyright (C) 2007  Gisler Garcs Vargas
  *                                                                   <p>
  * This library is free software; you can redistribute it and/or     <br>
  * modify it under the terms of the GNU Lesser General Public        <br>
  * License as published by the Free Software Foundation; either      <br>
  * version 2.1 of the License, or (at your option) any later version.<br>
  *                                                                   <p>
  * This library is distributed in the hope that it will be useful,   <br>
  * but WITHOUT ANY WARRANTY; without even the implied warranty of    <br>
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU <br>
  * Lesser General Public License for more details.
  *                                                                    <p>
  * You should have received a copy of the GNU Lesser General Public  <br>
  * License along with this library; if not, write to the Free Software  <br>
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA <p>
  *
  *  @package     config
  *  @module      configuration
  *  @modulegroup generics
  *  @author      Gisler Garcs Vargas  <gislersoft@users.sourceforge.net>
  *  @access      public
  *  @version     1.0.0 - 16/08/2006 <br>
  *  This module is used for include more files in just one call, for example if you include this file you sub-include all the Generics API.<p>
  *  <b>$_APP_RELATIVE_PATH:</b><i> [Important] Parameter used by the generics engine to set the relative import.
  *  use this function to set the path in the init of every php script that use the engine. THE ENGINE DONT WORK WITHOUT IT.</i>
  *  <p>Example:<p><pre><font color='#336600'>
  *    $_APP_RELATIVE_PATH = "../../";
  *    include_once($_APP_RELATIVE_PATH."generics/include.php");
  *
  *    $myDBC = new DBCommon($myDAO);<br>
  *    $myArray = $myDBC->getAll("emp");<br>
  *  </font></pre><br>
  */
  /***
  *  Includes all the configuration params for the Generics API.
  */
  include_once($_APP_RELATIVE_PATH."generics/config.php");
  /***
  *  Includes all [exception] package files.
  */
  include_once($_APP_RELATIVE_PATH."generics/exception/include.php");
  /***
  *  Includes all [database] package files.
  */
  include_once($_APP_RELATIVE_PATH."generics/database/include.php");
  /***
  *  Includes all [dbcommon] package files.
  */
  include_once($_APP_RELATIVE_PATH."generics/dbcommon/include.php");
?>
